/**
 * Truncates string and adds ellipses. Must be used in v-html for &hellip; to be escaped.
 * @param {String} value
 * @param {Number} length
 * @returns {String}
 */
export const truncate = (value: string, length: number = 75): string => {
  if (value && value.length > length) {
    return `${value.substring(0, length)}...`;
  }
  return value;
};

export default {
  truncate,
};
